Bug 242613 - automake 1.10 does not work with kde
automake 1.10 does not work with kde
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: automake (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Karsten Hopp
Brian Brock
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 23:10 EDT by Luis Felipe Marzagao
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-05 05:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Felipe Marzagao 2007-06-04 23:10:23 EDT
Description of problem:

Command "make" tells I need automake 1.6 when, in fact, I have version 1.10.


Version-Release number of selected component (if applicable):

package automake.noarch 0:1.10-5 from the default fedora repository.


How reproducible:

I'm no expert at all in compiling stuff. I was just trying to compile k9copy
when the below happened.


Steps to Reproduce:

1. wget http://ufpr.dl.sourceforge.net/sourceforge/k9copy/k9copy-1.1.1-3.tar.gz
2. tar zxvf k9copy*
3. cd k9copy*
4. cat README
5. make -f Makefile.cvs && echo ok

  
Actual results:

Make doesn't work and tells me I need automake 1.6:

[duli@localhost k9copy-1.1.1-3]$ make -f Makefile.cvs && echo ok
This Makefile is only for the CVS repository
This will be deleted before making the distribution

*** YOU'RE USING automake (GNU automake) 1.10.
*** KDE requires automake 1.6
make[1]: ** [cvs] Erro 1
make: ** [all] Erro 2


Expected results:

Make should complete successfully.
Comment 1 Karsten Hopp 2007-06-05 05:11:36 EDT
The various automake packages aren't compatible, you can't use a file written
for automake-1.6 with automake-1.10 without some modifications.
You're better off using the automake16 compatibility package for this.
Just install that package and make sure that the makefile runs automake16
instead of automake.
Comment 2 Luis Felipe Marzagao 2007-06-05 09:44:22 EDT
Okay, solved by installing automake17. My bad not knowing it wasn´t supposed to
be compatible with superior version. Thanks a lot for your help.

Note You need to log in before you can comment on or make changes to this bug.